Gentoo Archives: gentoo-dev

From: "Michał Górny" <mgorny@g.o>
To: gentoo-dev@l.g.o
Cc: "Michał Górny" <mgorny@g.o>
Subject: [gentoo-dev] [PATCH v2 5/8] www-apps/postfixadmin: Replace path_exists with inline logic
Date: Thu, 09 Aug 2018 15:20:04
Message-Id: 20180809151602.11147-6-mgorny@gentoo.org
In Reply to: [gentoo-dev] [PATCH v2 0/8] eutils/path_exists removal by "Michał Górny"
Replace the call to path_exists with local filename expansion.  While
at it, also kill the ugly ls-abuse in favor of using the results
of earlier expansion.
---
 www-apps/postfixadmin/postfixadmin-3.1.ebuild | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/www-apps/postfixadmin/postfixadmin-3.1.ebuild b/www-apps/postfixadmin/postfixadmin-3.1.ebuild
index 3e69bc6b6573..5cb58aab877a 100644
--- a/www-apps/postfixadmin/postfixadmin-3.1.ebuild
+++ b/www-apps/postfixadmin/postfixadmin-3.1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI="6"
 
-inherit eutils user webapp
+inherit user webapp
 
 DESCRIPTION="Web Based Management tool for Postfix style virtual domains and users"
 HOMEPAGE="http://postfixadmin.sourceforge.net"
@@ -89,10 +89,12 @@ pkg_postinst() {
 pkg_postrm() {
 	# Make sure we don't leave broken vacation.pl symlink
 	find -L "${ROOT}"/var/spool/vacation/ -type l -delete
-	if [[ ! -e "${ROOT}"/var/spool/vacation/vacation.pl ]] &&
-		path_exists "${ROOT}"/var/spool/vacation/vacation.pl-*; then
-		ln -s $(LC_ALL=C ls -1 /var/spool/vacation/vacation.pl-* | tail -n1) \
-			"${ROOT}"/var/spool/vacation/vacation.pl || die
+	local shopt_save=$(shopt -p nullglob)
+	shopt -s nullglob
+	local vacation=( "${ROOT}"/var/spool/vacation/vacation.pl-* )
+	${shopt_save}
+	if [[ ! -e "${ROOT}"/var/spool/vacation/vacation.pl && -n ${vacation[@]} ]]; then
+		ln -s "${vacation[-1]}" "${ROOT}"/var/spool/vacation/vacation.pl || die
 		ewarn "/var/spool/vacation/vacation.pl was updated to point on most"
 		ewarn "recent verion, but please, do your own checks"
 	fi
-- 
2.18.0